Subject: Re: bug#24500: 25.1.50; Can't other-window from minibuffer if Ediff control panel frame present

From: Richard Copley <[email-masked]>
Date: Sat, 8 Oct 2016 19:28:31 +0100

On 8 October 2016 at 18:37, martin rudalics <[email-masked]> wrote:
>> I've been using the window.c patch for a few days and I haven't noticed
>> any badness.
>
> I see the following problem with emacs -Q:
>
> Evaluate
>
> (make-frame '((minibuffer . nil)))
>
> In the minibuffer-less frame do M-x
>
> In the minibuffer type C-x 5 o
>
> In the minibuffer-less frame type C-x 5 o
>
> Now back in the minibuffer typing C-x o does nothing.  You can only get
> out via C-x 5 o.

Confirmed, sorry I missed that.

> The situation improves on the unpatched one because there is a way out
> of this loop and in particular one your typed before.  Still this is
> only a 50% solution.  When we do C-x o and we do not redirect focus as
> in the frame.c patch, frame focus sticks on the minibuffer.  We should
> tell Windows to direct focus back to the minibuffer-less frame.  I'll
> check this on GNU/Linux tomorrow.  In any case, consider reconsidering.

I'm not sure what you mean. Reconsider what? Do you want me to test
with both patches at once?

> martin